typeinfo File Reference

Go to the source code of this file.

## Classes

class | std::bad_cast
class | std::bad_typeid
class | std::type_info

## Namespaces

namespace | std

## Macros

#define | __glibcxx_want_constexpr_typeinfo
#define | __GXX_MERGED_TYPEINFO_NAMES
#define | __GXX_TYPEINFO_EQUALITY_INLINE
#define | _TYPEINFO

## Detailed Description

This is a Standard C++ Library header.

Definition in file typeinfo.

## Macro Definition Documentation

## __glibcxx_want_constexpr_typeinfo

#define __glibcxx_want_constexpr_typeinfo

Definition at line 41 of file typeinfo.

## __GXX_MERGED_TYPEINFO_NAMES

#define __GXX_MERGED_TYPEINFO_NAMES

Definition at line 73 of file typeinfo.

## __GXX_TYPEINFO_EQUALITY_INLINE

#define __GXX_TYPEINFO_EQUALITY_INLINE

Definition at line 79 of file typeinfo.

## _TYPEINFO

#define _TYPEINFO

Definition at line 30 of file typeinfo.